From ed641bb4459f100f1b0a5608c7ef1c0e43f6413c Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Thu, 29 Oct 2009 10:35:29 +0100
Subject: [PATCH] Fix build failure on ARM

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 mkinitrd-6.0.86-arm.patch |   11 +++++++++++
 mkinitrd.spec             |    7 ++++++-
 2 files changed, 17 insertions(+), 1 deletions(-)
 create mode 100644 mkinitrd-6.0.86-arm.patch

diff --git a/mkinitrd-6.0.86-arm.patch b/mkinitrd-6.0.86-arm.patch
new file mode 100644
index 0000000..12f8986
--- /dev/null
+++ b/mkinitrd-6.0.86-arm.patch
@@ -0,0 +1,11 @@
+--- mkinitrd-6.0.86.orig/nash/util.h	2009-05-21 15:14:01.000000000 -0400
++++ mkinitrd-6.0.86/nash/util.h	2009-06-07 12:10:11.000000000 -0400
+@@ -510,7 +510,7 @@ static inline int nash_ppoll_fallback(st
+     }
+     return rc;
+ }
+-#ifdef __ia64__
++#if defined( __ia64__ ) || defined( __arm__ )
+ #define nash_ppoll nash_ppoll_fallback
+ #else
+ #define nash_ppoll(fds, nfds, timeout, sigmask, nsigs) ({                   \
diff --git a/mkinitrd.spec b/mkinitrd.spec
index 4d91067..24e50ef 100644
--- a/mkinitrd.spec
+++ b/mkinitrd.spec
@@ -3,7 +3,7 @@
 Summary: Creates an initial ramdisk image for preloading modules.
 Name: mkinitrd
 Version: 6.0.93
-Release: 1%{?dist}
+Release: 1%{?dist}.fa1
 License: GPLv2+
 Group: System Environment/Base
 Source0: mkinitrd-%{version}.tar.bz2
@@ -30,6 +30,7 @@ Requires: ppc64-utils >= 0.3-1
 Requires: nash = %{version}-%{release}
 Requires: grubby
 BuildRoot: %{_tmppath}/%{name}-root
+Patch:mkinitrd-6.0.86-arm.patch 
 
 %description
 mkinitrd creates filesystem images for use as initial ram filesystem
@@ -68,6 +69,7 @@ nash
 
 %prep
 %setup -q -n mkinitrd-%{version}
+%patch -p1 
 find . -name "Makefile*" -exec sed -i 's|-Werror||g' {} \;
 
 %build
@@ -119,6 +121,9 @@ rm -rf $RPM_BUILD_ROOT
 %dir %{_sysconfdir}/kernel/prerm.d
 
 %changelog
+* Thu Oct 29 2009 Kedar Sovani <kedars@marvell.com> - 6.0.93-1.fa1
+- Fix build on ARM
+
 * Wed Sep  2 2009 Hans de Goede <hdegoede@redhat.com> - 6.0.93-1
 - Move hotplug run to before gpu driver probing (airlied, #520730)
 - Fix (non-fatal) syntax error (katzj, #513414)
-- 
1.5.5.6

